Bug 14277 - nis (yp) does not work with solaris
Summary: nis (yp) does not work with solaris
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ypserv   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-07-19 13:45 UTC by tallen
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-25 16:53:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description tallen 2000-07-19 13:45:03 UTC
Am using ypserv under RHL6.2 on a large hetrogenious network. Sun boxes
(Solaris 8) see the NIS server, a ypcat passwd yeilds reasonable results,
but when one attempts to login the sun box indicates bad passwd/login.
Other Linux boxes okay (mostly RHL6.x). Had a RHL 6.1 box running
ypserv-1.3.9-1(dont think that was the version that shipped w/ 6.1) and all
was cool and froody.

details:
RHL6.2
Linux version 2.2.14-5.0 (root@porky.devel.redhat.com) (gcc version
egcs-2.91.66 19990314/Linux (egcs-1.1.2 release))
ypserv-1.3.9-3
yp-tools-2.4-1

Comment 1 tallen 2000-07-25 16:53:21 UTC
This apears to be related to the way passwds are being encrypted in the /etc/shadow file. I have two NIS(yp) servers and old one that works and a the 
new one that does not. If I copy the encrypted password from the old machine to the new one and then try to login to the sun box all is cool and froody; 
furthermore, I can still log into the linux boxes okay.

Comment 2 Florian La Roche 2000-08-07 14:04:10 UTC
Right. Disable md5 passwords and use normal crypt passwords that are only 13
characters long.

Florian La Roche



Note You need to log in before you can comment on or make changes to this bug.